com.unitech.stuhfl

## Class STUHFL_T_Gen2_Inventory

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gen2_Inventory
  - - com.unitech.stuhfl.STUHFL_T_Gen2_Inventory

-     public class STUHFL_T_Gen2_Inventory
      extends BR_Gen2_Inventory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gen2_Inventory

      `BR_Gen2_Inventory.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `inventoryDelay` < I Param: Inventory scan duration (in rounds).
    `STUHFL_E.REPORT_OPTION` | `reportOptions` < I Param: additional delay that can be added for the each inventory round.
    `long` | `roundCnt` < I Param: RSSI mode.
    `STUHFL_E.RSSI_MODE` | `rssiMode`
    `IRunnerListener.STUHFL_T_InventoryStatistics` | `statistics` < I Param: Defines Inventory data report scheme (Round/Slot, HeartBeat).
    `java.util.List<IRunnerListener.STUHFL_T_InventoryTag>` | `tagList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gen2_Inventory()`
    `STUHFL_T_Gen2_Inventory(long roundCnt)`
    `STUHFL_T_Gen2_Inventory(STUHFL_E.RSSI_MODE rssiMode, long roundCnt, int inventoryDelay, STUHFL_E.REPORT_OPTION reportOptions)`
    `STUHFL_T_Gen2_Inventory(STUHFL_T_Gen2_Inventory other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IRunnerListener.STUHFL_T_InventoryTag>` | `execute()` Perform Gen2 Inventory depending on the current inventory and Gen2 configuration All public data fields must be prepared upfront.
    `STUHFL_E.RET_CODE` | `start(IRunnerListener listener)` Start Gen2 Inventory process depending on the current inventory and Gb29768 configuration
    `STUHFL_E.RET_CODE` | `stop()` Stop actual running Gen2 Inventory process

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gen2_Inventory

      `_Exec, _RunnerStart, _RunnerStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rssiMode

          public STUHFL_E.RSSI_MODE rssiMode

    - #### roundCnt

          public long roundCnt

      < I Param: RSSI mode. This defines what RSSI value is sent to the host along with the tag data.

    - #### inventoryDelay

          public int inventoryDelay

      < I Param: Inventory scan duration (in rounds). Set to 0 for infinity scanning.

    - #### reportOptions

          public STUHFL_E.REPORT_OPTION reportOptions

      < I Param: additional delay that can be added for the each inventory round.

    - #### statistics

          public IRunnerListener.STUHFL_T_InventoryStatistics statistics

      < I Param: Defines Inventory data report scheme (Round/Slot, HeartBeat).

    - #### tagList

          public java.util.List<IRunnerListener.STUHFL_T_InventoryTag> tagList

  - ### Constructor Detail

    - #### STUHFL_T_Gen2_Inventory

          public STUHFL_T_Gen2_Inventory(STUHFL_T_Gen2_Inventory other)

    - #### STUHFL_T_Gen2_Inventory

          public STUHFL_T_Gen2_Inventory(STUHFL_E.RSSI_MODE rssiMode,
                                         long roundCnt,
                                         int inventoryDelay,
                                         STUHFL_E.REPORT_OPTION reportOptions)

    - #### STUHFL_T_Gen2_Inventory

          public STUHFL_T_Gen2_Inventory()

    - #### STUHFL_T_Gen2_Inventory

          public STUHFL_T_Gen2_Inventory(long roundCnt)

  - ### Method Detail

    - #### start

          public STUHFL_E.RET_CODE start(IRunnerListener listener)

      Start Gen2 Inventory process depending on the current inventory and Gb29768 configuration
      Parameters:
        `listener:` - Starting the inventory runner is a blocking call. Whenever transponders found the STUHFL_T_InventoryCycle callback is called. Within this callback processing of the data should take place. listener.cycle: callback when a transponder is found during inventory listener.finished: callback when the inventory is finished To stop the runner and return from the Inventory_RunnerStart function there are 2 possibilities. 1. A call to Inventory_RunnerStop. Can be called from the callback 2. When the number of requested rounds are executed
      Returns:
        error code

    - #### stop

          public STUHFL_E.RET_CODE stop()

      Stop actual running Gen2 Inventory process
      Returns:
        error code

    - #### execute

          public java.util.List<IRunnerListener.STUHFL_T_InventoryTag> execute()

      Perform Gen2 Inventory depending on the current inventory and Gen2 configuration All public data fields must be prepared upfront.
      Returns:
        List containing found TAGs